% rutero para preg2, lab8, 521230 S2, 2011

errores = zeros(9,1);
i = 2:10;
% todos los tamannos de paso
h = pi./(2.^i);

% aproximando integral con distintos tamannos de paso con regla compuesta
% del punto medio
for i = 2:10
    val = sumpuntomedio('f1_lab8',0,pi/2,h(i-1));
    % error en aproximacion calculada, se conoce valor exacto de integral
    errores(i-1) = abs(val - 2*sqrt(2)+2);
end

% graficos loglog
loglog(h,errores);
hold on
loglog(h,h.^2,'r')